/// <reference types="node" />
/// <reference types="node/http" />
/// <reference types="@mockoon/commons-server/src/typings" />
import { Environment, ServerOptions } from '@mockoon/commons';
import { RequestListener } from 'http';
import ServerlessHttp from 'serverless-http';
export declare class MockoonServerless {
    private environment;
    private options;
    constructor(environment: Environment, options: Partial<ServerOptions>);
    /**
     * Returns an Express request listener that can be used in serverless environments
     * and with the serverless-http library.
     *
     * @returns
     */
    requestListener(): RequestListener;
    /**
     * Returns a serverless-http wrapped request listener for AWS Lambda.
     *
     * @returns
     */
    awsHandler(): ServerlessHttp.Handler;
    /**
     * Returns a request listener for Google Cloud Functions.
     *
     * @returns
     */
    firebaseApp(): RequestListener;
    /**
     * Returns a serverless-http wrapped request listener for Netlify.
     *
     * @returns
     */
    netlifyHandler(): RequestListener;
}
